import { Combobox as FASTComboBox } from '@microsoft/fast-components';
import type { ComboboxOptions } from '@microsoft/fast-foundation';
export declare const wasClickOutsideElement: (event: MouseEvent, target: EventTarget) => boolean;
export declare class Combobox extends FASTComboBox {
    open: boolean;
    private readonly inputSelector;
    private readonly indicatorSelector;
    get isListboxVisible(): boolean;
    constructor();
    private focusInputElement;
    private handleComboboxClick;
    private handleFocus;
    private handleInputKeyDown;
    private handleClickArrow;
    private updateIndicatorIcon;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    connectedCallback(): void;
    private findCaseInsensitiveIndex;
    get value(): string;
    set value(next: string);
}
export declare const foundationComboboxShadowOptions: ShadowRootInit;
export declare const defaultComboboxConfig: {
    indicator: string;
};
/**
 * The Foundation Combo-box
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-combo-box\>
 */
export declare const foundationCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<ComboboxOptions>) => import("@microsoft/fast-foundation").FoundationElementRegistry<ComboboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
//# sourceMappingURL=combobox.d.ts.map